Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Class UnsupportedFlavorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.awt.datatransfer.UnsupportedFlavorException

All Implemented Interfaces:
  Serializable

    public class UnsupportedFlavorException

extends Exception

Signals that the requested data is not supported in this flavor.

See Also:
  `Transferable.getTransferData(java.awt.datatransfer.DataFlavor)`, Serialized Form

Constructor Summary
`UnsupportedFlavorException(DataFlavor flavor)` Constructs an UnsupportedFlavorException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedFlavorException

    public UnsupportedFlavorException(DataFlavor flavor)

  Constructs an UnsupportedFlavorException.

  Parameters:
    `flavor` - the flavor object which caused the exception. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.